Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesStatementWriter

- org.codehaus.groovy.classgen.asm.sc.StaticTypesStatementWriter

- A class to write out the optimized statements

  Authors:
    Jochen "blackdrag" Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesStatementWriter (StaticTypesWriterController controller)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `writeBlockStatement(BlockStatement statement)`
    `protected void` | `writeForInLoop(ForStatement loop)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StatementWriter` | `writeBlockStatement, writeForStatement, writeWhileLoop, writeDoWhileLoop, writeIfElse, writeAssert, writeTryCatchFinally, writeSwitch, writeBreak, writeContinue, writeSynchronized, writeThrow, writeReturn, writeExpressionStatement, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public StaticTypesStatementWriter(StaticTypesWriterController controller)

  - ### Method Detail

    - #### @Override public void writeBlockStatement(BlockStatement statement)

    - #### @Override protected void writeForInLoop(ForStatement loop)